package com.uniubi.Register;

public class UfaceRegisterJNI {

    static {
        System.out.println("load libuface4_register_jni.so");
        System.load("/root/lib/libuface4_register_jni.so");
    }

    public static native int Auth(String usr_name, String usr_pwd, String license_file);

    public static native String GetSDKVersion();

    public static native void SetLogMode(int log_mode);

    public static native void SetModelPath(String model_path);

    public static native long NewRegister();

    public static native void ReleaseRegister(long handle);

    public static native int JudgeImage(long handle, byte[] image_data, FaceBox box);

    public static native byte[] GetSimpleImage(long handle, byte[] image_data, FaceBox box,int resize_mode,int save_size);

    public static native String GetFeature(long handle, byte[] image_data, int feature_version, FaceBox box);

    public static native float DynamicQuality(long handle, byte[] image_data, FaceBox box);

    public static native float CompareFeat(long handle, String featA,String featB);

}
